diff --git a/tests/test_toulouse_maelis.py b/tests/test_toulouse_maelis.py
index 0907c98f..3f5556ca 100644
--- a/tests/test_toulouse_maelis.py
+++ b/tests/test_toulouse_maelis.py
@@ -920,36 +862,32 @@ def test_read_rl_not_linked_error(con, app):
 
     resp = app.get(url + '?NameID=local&rl_id=613879')
     assert resp.json['err'] == 'not-linked'
     assert resp.json['err_desc'] == 'User not linked to family'
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
-def test_read_rl_not_found(mocked_post, mocked_get, con, app):
+def test_read_rl_not_found(mocked_post, mocked_get, con, ref, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [READ_FAMILY]
+    mocked_post.return_value = READ_FAMILY
     url = get_endpoint('read-rl')
     Link.objects.create(resource=con, family_id='1312', name_id='local')
 
     resp = app.get(url + '?NameID=local&rl_id=000000')
     assert resp.json['err'] == 'not-found'
     assert resp.json['err_desc'] == "no '000000' RL on '1312' family"
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
-def test_read_person(mocked_post, mocked_get, con, app):
+def test_read_person(mocked_post, mocked_get, con, ref, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [
-        READ_FAMILY,
-        READ_CIVILITIES,
-        READ_QUALITIES,
-    ]
+    mocked_post.return_value = READ_FAMILY
     url = get_endpoint('read-person')
     Link.objects.create(resource=con, family_id='1312', name_id='local')
 
     resp = app.get(url + '?NameID=local&person_id=614059')
     assert resp.json['err'] == 0
     assert resp.json['data']['firstname'] == 'KENY'
 
 
@@ -958,38 +896,32 @@ def test_read_person_not_linked_error(con, app):
 
     resp = app.get(url + '?NameID=local&person_id=614059')
     assert resp.json['err'] == 'not-linked'
     assert resp.json['err_desc'] == 'User not linked to family'
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
-def test_read_person_not_found(mocked_post, mocked_get, con, app):
+def test_read_person_not_found(mocked_post, mocked_get, con, ref, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [READ_FAMILY]
+    mocked_post.return_value = READ_FAMILY
     url = get_endpoint('read-person')
     Link.objects.create(resource=con, family_id='1312', name_id='local')
 
     resp = app.get(url + '?NameID=local&person_id=000000')
     assert resp.json['err'] == 'not-found'
     assert resp.json['err_desc'] == "no '000000' emergency person on '1312' family"
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
-def test_read_child(mocked_post, mocked_get, con, app):
+def test_read_child(mocked_post, mocked_get, con, ref, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [
-        READ_FAMILY,
-        READ_DIETCODE,
-        READ_PAI,
-        READ_CIVILITIES,
-        READ_QUALITIES,
-    ]
+    mocked_post.return_value = READ_FAMILY
     url = get_endpoint('read-child')
     Link.objects.create(resource=con, family_id='1312', name_id='local')
 
     resp = app.get(url + '?NameID=local&child_id=613880')
     assert resp.json['err'] == 0
     assert resp.json['data']['firstname'] == 'JANNIS'
 
 
@@ -998,40 +930,32 @@ def test_read_child_not_linked_error(con, app):
 
     resp = app.get(url + '?NameID=local&child_id=613880')
     assert resp.json['err'] == 'not-linked'
     assert resp.json['err_desc'] == 'User not linked to family'
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
-def test_read_child_not_found(mocked_post, mocked_get, con, app):
+def test_read_child_not_found(mocked_post, mocked_get, con, ref, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [
-        READ_FAMILY,
-        READ_DIETCODE,
-        READ_PAI,
-    ]
+    mocked_post.return_value = READ_FAMILY
     url = get_endpoint('read-child')
     Link.objects.create(resource=con, family_id='1312', name_id='local')
 
     resp = app.get(url + '?NameID=local&child_id=000000')
     assert resp.json['err'] == 'not-found'
     assert resp.json['err_desc'] == "no '000000' child on '1312' family"
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
-def test_read_child_person(mocked_post, mocked_get, con, app):
+def test_read_child_person(mocked_post, mocked_get, con, ref, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [
-        READ_FAMILY,
-        READ_CIVILITIES,
-        READ_QUALITIES,
-    ]
+    mocked_post.return_value = READ_FAMILY
     url = get_endpoint('read-child-person')
     Link.objects.create(resource=con, family_id='1312', name_id='local')
 
     resp = app.get(url + '?NameID=local&child_id=613880&person_id=614719')
     assert resp.json['err'] == 0
     assert resp.json['data']['personInfo']['firstname'] == 'AMEL'
 
 
@@ -1040,38 +964,32 @@ def test_read_child_person_not_linked_error(con, app):
 
     resp = app.get(url + '?NameID=local&child_id=613880&person_id=614719')
     assert resp.json['err'] == 'not-linked'
     assert resp.json['err_desc'] == 'User not linked to family'
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
-def test_read_child_person_no_child_error(mocked_post, mocked_get, con, app):
+def test_read_child_person_no_child_error(mocked_post, mocked_get, con, ref, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [
-        READ_FAMILY,
-    ]
+    mocked_post.return_value = READ_FAMILY
     url = get_endpoint('read-child-person')
     Link.objects.create(resource=con, family_id='1312', name_id='local')
 
     resp = app.get(url + '?NameID=local&child_id=42&person_id=614719')
     assert resp.json['err'] == 'not-found'
     assert resp.json['err_desc'] == "no '42' child on '1312' family"
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
-def test_read_child_person_no_person_error(mocked_post, mocked_get, con, app):
+def test_read_child_person_no_person_error(mocked_post, mocked_get, con, ref, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [
-        READ_FAMILY,
-        READ_CIVILITIES,
-        READ_QUALITIES,
-    ]
+    mocked_post.return_value = READ_FAMILY
     url = get_endpoint('read-child-person')
     Link.objects.create(resource=con, family_id='1312', name_id='local')
 
     resp = app.get(url + '?NameID=local&child_id=613880&person_id=000000')
     assert resp.json['err'] == 'not-found'
     assert resp.json['err_desc'] == "no '000000' authorized person on '613880' child"
 
 
@@ -1133,29 +1051,19 @@ def test_is_child_exists(mocked_post, mocked_get, post_response, result, con, ap
     }
     resp = app.post_json(url, params=params)
     assert resp.json['err'] == 0
     assert resp.json['data'] == result
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
-def test_create_family(mocked_post, mocked_get, con, app):
+def test_create_family(mocked_post, mocked_get, con, ref, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [
-        READ_CATEGORIES,
-        READ_SITUATIONS,
-        READ_CIVILITIES,
-        READ_QUALITIES,
-        READ_CSP,
-        READ_ORGAN,
-        READ_DIETCODE,
-        READ_VACCIN,
-        CREATE_FAMILY,
-    ]
+    mocked_post.return_value = CREATE_FAMILY
     url = get_endpoint('create-family')
     params = {
         'category': 'ACCEUI',
         'situation': 'C',
         'rl1/civility': 'M.',
         'rl1/firstname': 'Jhon',
         'rl1/lastname': 'Doe',
         'rl1/quality': 'AU',
@@ -1231,25 +1139,19 @@ def test_create_family_already_linked_error(con, app):
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local', params=params)
     assert resp.json['err'] == 'already-linked'
     assert resp.json['err_desc'] == 'User already linked to family'
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
-def test_create_family_maelis_error(mocked_post, mocked_get, con, app):
+def test_create_family_maelis_error(mocked_post, mocked_get, con, ref, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [
-        READ_CATEGORIES,
-        READ_SITUATIONS,
-        READ_CIVILITIES,
-        READ_QUALITIES,
-        CREATE_FAMILY_ERR,
-    ]
+    mocked_post.return_value = CREATE_FAMILY_ERR
     url = get_endpoint('create-family')
     params = {
         'category': 'ACCEUI',
         'situation': 'C',
         'rl1/civility': 'M.',
         'rl1/firstname': 'Jhon',
         'rl1/lastname': 'Doe',
         'rl1/quality': 'AU',
@@ -1259,30 +1161,17 @@ def test_create_family_maelis_error(mocked_post, mocked_get, con, app):
         'rl1/adresse/zipcode': '75014',
     }
 
     resp = app.post_json(url + '?NameID=local', params=params)
     assert resp.json['err'] == 'E54a, E54a'
     assert 'Il existe déjà' in resp.json['err_desc']
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_create_family_wrong_referential_key_error(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [
-        READ_CATEGORIES,
-        READ_SITUATIONS,
-        READ_CIVILITIES,
-        READ_QUALITIES,
-        READ_CSP,
-        READ_ORGAN,
-        READ_DIETCODE,
-        READ_VACCIN,
-    ]
+def test_create_family_wrong_referential_key_error(con, ref, app):
     url = get_endpoint('create-family')
     params = {
         'category': 'ACCEUI',
         'situation': 'C',
         'rl1/civility': 'M.',
         'rl1/firstname': 'Jhon',
         'rl1/lastname': 'Doe',
         'rl1/quality': 'AU',
@@ -1313,30 +1202,19 @@ def test_create_family_wrong_referential_key_error(mocked_post, mocked_get, con,
     assert (
         resp.json['err_desc']
         == "childList/0/medicalRecord/vaccinList/0/code key value 'plop' do not belong to 'Vaccin' referential"
     )
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
-def test_update_family(mocked_post, mocked_get, con, app):
+def test_update_family(mocked_post, mocked_get, con, ref, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [
-        READ_CATEGORIES,
-        READ_SITUATIONS,
-        READ_CIVILITIES,
-        READ_QUALITIES,
-        READ_CSP,
-        READ_ORGAN,
-        READ_DIETCODE,
-        READ_PAI,
-        READ_VACCIN,
-        UPDATE_FAMILY,
-    ]
+    mocked_post.return_value = UPDATE_FAMILY
     url = get_endpoint('update-family')
     params = {
         'category': 'BI',
         'situation': 'C',
         'rl1/civility': 'M.',
         'rl1/firstname': 'Jhon',
         'rl1/lastname': 'Doe',
         'rl1/quality': 'AU',
@@ -1397,23 +1275,19 @@ def test_update_family_not_linked_error(con, app):
 
     resp = app.post_json(url + '?NameID=local', params=params)
     assert resp.json['err'] == 'not-linked'
     assert resp.json['err_desc'] == 'User not linked to family'
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
-def test_update_family_maelis_error(mocked_post, mocked_get, con, app):
+def test_update_family_maelis_error(mocked_post, mocked_get, con, ref, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [
-        READ_CATEGORIES,
-        READ_SITUATIONS,
-        UPDATE_FAMILY_ERR,
-    ]
+    mocked_post.return_value = UPDATE_FAMILY_ERR
     url = get_endpoint('update-family')
     params = {
         'category': 'ACCEUI',
         'situation': 'C',
         'childList/0/lastname': 'Zimmerman',
         'childList/0/firstname': 'Robert',
         'childList/0/sexe': 'M',
         'childList/0/birth/dateBirth': '1941-05-24',
@@ -1423,17 +1297,17 @@ def test_update_family_maelis_error(mocked_post, mocked_get, con, app):
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local', params=params)
     assert resp.json['err'] == 'E65a'
     assert "E65a : Il existe déjà un enfant" in resp.json['err_desc']
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
-def test_update_family_soap_error(mocked_post, mocked_get, con, app):
+def test_update_family_soap_error(mocked_post, mocked_get, con, ref, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
     mocked_post.return_value = UPDATE_FAMILY_500
     url = get_endpoint('update-family')
     params = {
         'nbChild': '100',
         'category': 'BI',
         'situation': 'C',
         'rl1/civility': 'M.',
@@ -1443,35 +1317,21 @@ def test_update_family_soap_error(mocked_post, mocked_get, con, app):
         'rl1/birth/dateBirth': '1938-07-26',
         'rl1/adresse/street1': 'Chateau',
         'rl1/adresse/town': 'Paris',
         'rl1/adresse/zipcode': '75014',
     }
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local', params=params)
-    assert resp.json['err'] == 'Family-readCategoryList-soap:Server'
+    assert resp.json['err'] == 'Family-updateFamily-soap:Server'
     assert 'Une erreur est survenue' in resp.json['err_desc']
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_update_family_wrong_referential_key_error(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [
-        READ_CATEGORIES,
-        READ_SITUATIONS,
-        READ_CIVILITIES,
-        READ_QUALITIES,
-        READ_CSP,
-        READ_ORGAN,
-        READ_DIETCODE,
-        READ_PAI,
-        READ_VACCIN,
-    ]
+def test_update_family_wrong_referential_key_error(con, ref, app):
     url = get_endpoint('update-family')
     params = {
         'category': 'BI',
         'situation': 'C',
         'rl1/civility': 'M.',
         'rl1/firstname': 'Jhon',
         'rl1/lastname': 'Doe',
         'rl1/quality': 'AU',
@@ -1508,25 +1368,19 @@ def test_update_family_wrong_referential_key_error(mocked_post, mocked_get, con,
     assert (
         resp.json['err_desc']
         == "childList/0/medicalRecord/vaccinList/0/code key value 'plop' do not belong to 'Vaccin' referential"
     )
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
-def test_create_rl1(mocked_post, mocked_get, con, app):
+def test_create_rl1(mocked_post, mocked_get, con, ref, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [
-        READ_CATEGORIES,
-        READ_SITUATIONS,
-        READ_CIVILITIES,
-        READ_QUALITIES,
-        CREATE_FAMILY,
-    ]
+    mocked_post.return_value = CREATE_FAMILY
     url = get_endpoint('create-rl1')
     params = {
         'category': 'ACCEUI',
         'situation': 'C',
         'rl1/civility': 'M.',
         'rl1/firstname': 'Jhon',
         'rl1/lastname': 'Doe',
         'rl1/quality': 'AU',
@@ -1579,21 +1433,17 @@ def test_create_rl1_already_linked_error(con, app):
     }
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local', params=params)
     assert resp.json['err'] == 'already-linked'
     assert resp.json['err_desc'] == 'User already linked to family'
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_create_rl1_wrong_referential_key_error(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [READ_CATEGORIES, READ_SITUATIONS, READ_CIVILITIES, READ_QUALITIES]
+def test_create_rl1_wrong_referential_key_error(con, ref, app):
     url = get_endpoint('create-rl1')
     params = {
         'category': 'ACCEUI',
         'situation': 'C',
         'rl1/civility': 'M.',
         'rl1/firstname': 'Jhon',
         'rl1/lastname': 'Doe',
         'rl1/quality': 'AU',
@@ -1609,25 +1459,19 @@ def test_create_rl1_wrong_referential_key_error(mocked_post, mocked_get, con, ap
     assert (
         resp.json['err_desc']
         == "rl1/adresse/numComp key value 'plop' do not belong to 'Complement' referential"
     )
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
-def test_create_rl1_maelis_error(mocked_post, mocked_get, con, app):
+def test_create_rl1_maelis_error(mocked_post, mocked_get, con, ref, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [
-        READ_CATEGORIES,
-        READ_SITUATIONS,
-        READ_CIVILITIES,
-        READ_QUALITIES,
-        CREATE_FAMILY_ERR,
-    ]
+    mocked_post.return_value = CREATE_FAMILY_ERR
     url = get_endpoint('create-rl1')
     params = {
         'category': 'ACCEUI',
         'situation': 'C',
         'rl1/civility': 'M.',
         'rl1/firstname': 'Jhon',
         'rl1/lastname': 'Doe',
         'rl1/quality': 'AU',
@@ -1639,19 +1483,19 @@ def test_create_rl1_maelis_error(mocked_post, mocked_get, con, app):
 
     resp = app.post_json(url + '?NameID=local', params=params)
     assert resp.json['err'] == 'already-rl1'
     assert 'Il existe déjà' in resp.json['err_desc']
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
-def test_update_rl1(mocked_post, mocked_get, con, app):
+def test_update_rl1(mocked_post, mocked_get, con, ref, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [READ_CIVILITIES, READ_QUALITIES, READ_RL1_FAMILY, UPDATE_FAMILY]
+    mocked_post.side_effect = [READ_RL1_FAMILY, UPDATE_FAMILY]
     url = get_endpoint('update-rl1')
     params = {
         'civility': 'M.',
         'firstname': 'Jhonny',
         'lastname': 'Doe',
         'quality': 'PERE',
         'birth/dateBirth': '1943-06-15',
     }
@@ -1674,17 +1518,17 @@ def test_update_rl1_not_linked_error(con, app):
 
     resp = app.post_json(url + '?NameID=local', params=params)
     assert resp.json['err'] == 'not-linked'
     assert resp.json['err_desc'] == 'User not linked to family'
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
-def test_update_rl1_connection_error(mocked_post, mocked_get, con, app):
+def test_update_rl1_connection_error(mocked_post, mocked_get, con, ref, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
     mocked_post.side_effect = CONNECTION_ERROR
     url = get_endpoint('update-rl1')
     params = {
         'civility': 'M.',
         'firstname': 'Jhonny',
         'lastname': 'Doe',
         'quality': 'PERE',
@@ -1692,21 +1536,17 @@ def test_update_rl1_connection_error(mocked_post, mocked_get, con, app):
     }
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local', params=params, status=500)
     assert resp.json['err']
     assert resp.json['err_desc'] == 'No address associated with hostname'
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_update_rl1_wrong_referential_key_error(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [READ_CIVILITIES, READ_QUALITIES]
+def test_update_rl1_wrong_referential_key_error(con, ref, app):
     url = get_endpoint('update-rl1')
     params = {
         'civility': 'M.',
         'firstname': 'Jhonny',
         'lastname': 'Doe',
         'quality': 'plop',
         'birth/dateBirth': '1943-06-15',
     }
@@ -1714,19 +1554,19 @@ def test_update_rl1_wrong_referential_key_error(mocked_post, mocked_get, con, ap
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local', params=params)
     assert resp.json['err'] == 'wrong-key'
     assert resp.json['err_desc'] == "quality key value 'plop' do not belong to 'Quality' required referential"
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
-def test_create_rl2(mocked_post, mocked_get, con, app):
+def test_create_rl2(mocked_post, mocked_get, con, ref, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [READ_CIVILITIES, READ_QUALITIES, READ_RL1_FAMILY, UPDATE_FAMILY]
+    mocked_post.side_effect = [READ_RL1_FAMILY, UPDATE_FAMILY]
     url = get_endpoint('create-rl2')
     params = {
         'civility': 'MME',
         'firstname': 'JANE',
         'lastname': 'DOE',
         'maidenName': 'Smith',
         'quality': 'MERE',
         'birth/dateBirth': '1940-06-22',
@@ -1760,17 +1600,17 @@ def test_create_rl2_not_linked_error(con, app):
 
     resp = app.post_json(url + '?NameID=local', params=params)
     assert resp.json['err'] == 'not-linked'
     assert resp.json['err_desc'] == 'User not linked to family'
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
-def test_create_rl2_connection_error(mocked_post, mocked_get, con, app):
+def test_create_rl2_connection_error(mocked_post, mocked_get, con, ref, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
     mocked_post.side_effect = CONNECTION_ERROR
     url = get_endpoint('create-rl2')
     params = {
         'civility': 'MME',
         'firstname': 'JANE',
         'lastname': 'DOE',
         'maidenName': 'Smith',
@@ -1785,19 +1625,19 @@ def test_create_rl2_connection_error(mocked_post, mocked_get, con, app):
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local', params=params, status=500)
     assert resp.json['err']
     assert resp.json['err_desc'] == 'No address associated with hostname'
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
-def test_create_rl2_already_exists_error(mocked_post, mocked_get, con, app):
+def test_create_rl2_already_exists_error(mocked_post, mocked_get, con, ref, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [READ_CIVILITIES, READ_QUALITIES, READ_FAMILY, READ_FAMILY]
+    mocked_post.side_effect = [READ_FAMILY, READ_FAMILY]
     url = get_endpoint('create-rl2')
     params = {
         'civility': 'MME',
         'firstname': 'JANE',
         'lastname': 'DOE',
         'maidenName': 'Smith',
         'quality': 'MERE',
         'birth/dateBirth': '1940-06-22',
@@ -1808,21 +1648,17 @@ def test_create_rl2_already_exists_error(mocked_post, mocked_get, con, app):
     }
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local', params=params)
     assert resp.json['err'] == 'already-rl2'
     assert resp.json['err_desc'] == 'RL2 already defined on family'
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_create_rl2_wrong_referential_key_error(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [READ_CIVILITIES, READ_QUALITIES, READ_RL1_FAMILY]
+def test_create_rl2_wrong_referential_key_error(con, ref, app):
     url = get_endpoint('create-rl2')
     params = {
         'civility': 'MME',
         'firstname': 'JANE',
         'lastname': 'DOE',
         'maidenName': 'Smith',
         'quality': 'plop',
         'birth/dateBirth': '1940-06-22',
@@ -1835,19 +1671,19 @@ def test_create_rl2_wrong_referential_key_error(mocked_post, mocked_get, con, ap
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local', params=params)
     assert resp.json['err'] == 'wrong-key'
     assert resp.json['err_desc'] == "quality key value 'plop' do not belong to 'Quality' required referential"
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
-def test_update_rl2(mocked_post, mocked_get, con, app):
+def test_update_rl2(mocked_post, mocked_get, con, ref, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [READ_CIVILITIES, READ_QUALITIES, READ_FAMILY, UPDATE_FAMILY]
+    mocked_post.side_effect = [READ_FAMILY, UPDATE_FAMILY]
     url = get_endpoint('update-rl2')
     params = {
         'civility': 'MME',
         'firstname': 'JANE',
         'lastname': 'DOE',
         'maidenName': 'Smith',
         'quality': 'MERE',
         'birth/dateBirth': '1940-06-22',
@@ -1872,17 +1708,17 @@ def test_update_rl2_not_linked_error(con, app):
 
     resp = app.post_json(url + '?NameID=local', params=params)
     assert resp.json['err'] == 'not-linked'
     assert resp.json['err_desc'] == 'User not linked to family'
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
-def test_update_rl2_connection_error(mocked_post, mocked_get, con, app):
+def test_update_rl2_connection_error(mocked_post, mocked_get, con, ref, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
     mocked_post.side_effect = CONNECTION_ERROR
     url = get_endpoint('update-rl2')
     params = {
         'civility': 'MME',
         'firstname': 'JANE',
         'lastname': 'DOE',
         'maidenName': 'Smith',
@@ -1893,40 +1729,36 @@ def test_update_rl2_connection_error(mocked_post, mocked_get, con, app):
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local', params=params, status=500)
     assert resp.json['err']
     assert resp.json['err_desc'] == 'No address associated with hostname'
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
-def test_update_rl2_not_exists_error(mocked_post, mocked_get, con, app):
+def test_update_rl2_not_exists_error(mocked_post, mocked_get, con, ref, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [READ_CIVILITIES, READ_QUALITIES, READ_RL1_FAMILY]
+    mocked_post.return_value = READ_RL1_FAMILY
     url = get_endpoint('update-rl2')
     params = {
         'civility': 'MME',
         'firstname': 'JANE',
         'lastname': 'DOE',
         'maidenName': 'Smith',
         'quality': 'MERE',
         'birth/dateBirth': '1940-06-22',
     }
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local', params=params)
     assert resp.json['err'] == 'no-rl2'
     assert resp.json['err_desc'] == 'No RL2 to update on family'
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_update_rl2_wrong_referential_key_error(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [READ_CIVILITIES, READ_QUALITIES]
+def test_update_rl2_wrong_referential_key_error(con, ref, app):
     url = get_endpoint('update-rl2')
     params = {
         'civility': 'MME',
         'firstname': 'JANE',
         'lastname': 'DOE',
         'maidenName': 'Smith',
         'quality': 'plop',
         'birth/dateBirth': '1940-06-22',
@@ -1935,17 +1767,17 @@ def test_update_rl2_wrong_referential_key_error(mocked_post, mocked_get, con, ap
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local', params=params)
     assert resp.json['err'] == 'wrong-key'
     assert resp.json['err_desc'] == "quality key value 'plop' do not belong to 'Quality' required referential"
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
-def test_create_child(mocked_post, mocked_get, con, app):
+def test_create_child(mocked_post, mocked_get, con, ref, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
     mocked_post.return_value = CREATE_CHILD
     url = get_endpoint('create-child')
     params = {
         'lastname': 'DOE',
         'firstname': 'JANNIS',
         'sexe': 'F',
         'birth/dateBirth': '1943-01-19',
@@ -1984,21 +1816,17 @@ def test_create_child_not_linked_error(con, app):
         'birth/place': 'Port Arthur',
     }
 
     resp = app.post_json(url + '?NameID=local', params=params)
     assert resp.json['err'] == 'not-linked'
     assert resp.json['err_desc'] == 'User not linked to family'
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_create_child_wrong_referential_key_error(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = []
+def test_create_child_wrong_referential_key_error(con, ref, app):
     url = get_endpoint('create-child')
     params = {
         'lastname': 'DOE',
         'firstname': 'JANNIS',
         'sexe': 'plop',
         'birth/dateBirth': '1943-01-19',
         'birth/place': 'Port Arthur',
     }
@@ -2006,17 +1834,17 @@ def test_create_child_wrong_referential_key_error(mocked_post, mocked_get, con,
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local', params=params)
     assert resp.json['err'] == 'wrong-key'
     assert resp.json['err_desc'] == "sexe key value 'plop' do not belong to 'Sex' required referential"
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
-def test_create_child_connection_error(mocked_post, mocked_get, con, app):
+def test_create_child_connection_error(mocked_post, mocked_get, con, ref, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
     mocked_post.side_effect = CONNECTION_ERROR
     url = get_endpoint('create-child')
     params = {
         'lastname': 'DOE',
         'firstname': 'JANNIS',
         'sexe': 'F',
         'birth/dateBirth': '1943-01-19',
@@ -2026,17 +1854,17 @@ def test_create_child_connection_error(mocked_post, mocked_get, con, app):
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local', params=params, status=500)
     assert resp.json['err']
     assert resp.json['err_desc'] == 'No address associated with hostname'
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
-def test_create_child_maelis_error(mocked_post, mocked_get, con, app):
+def test_create_child_maelis_error(mocked_post, mocked_get, con, ref, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
     mocked_post.return_value = CREATE_CHILD_ERR
     url = get_endpoint('create-child')
     params = {
         'lastname': 'DOE',
         'firstname': 'JANNIS',
         'sexe': 'F',
         'birth/dateBirth': '1943-01-19',
